module MachineInterfaceable
  extend ActiveSupport::Concern

  def query_params
    {
      machine_sn: params[:sn],
      time: "#{params[:date]} #{params[:time]}"
    }
  end

  def job_params(root_node)
    # If there is no job number in the payload, use the batchId instead as the job number
    job_number = root_node[:job] || root_node[:batchId]

    if job_number.blank?
      {
        job: nil
      }
    else
      {
        job: {
          job_number: job_number,
          side: root_node[:lensside],
          batch_id: root_node[:batchId]
        }
      }
    end
  end

  def send_machine_response
    res = "OK"
    response.headers["Content-Length"] = res.length
    response.header["Content-Type"] = "application/octet-stream"
    render plain: res, status: :created
  end
end
