class ConsumableRecordsController < ApplicationController
  model_data_store(ConsumableRecord,
                   {create: false, read: true, update: false, delete: false, index: true},
                   {create: false, read: true, update: false, delete: false, index: true})

  def before_filter(filter)
    return false if filter[:id] == 'name' && filter[:value] == 'null'
    filter
  end

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:consumable_record).permit(:name, :current_use_count, :max_use_count, :first_use_date, :last_use_date, :retired)
    end
end
