import * as React from "react";
import {makeStyles} from "@material-ui/core/styles";
import {Box, createStyles, Theme, Typography} from "@material-ui/core";
import {Info} from "@material-ui/icons";
import {grey} from "@material-ui/core/colors";

type InlineWarningProps = {
    text: string;
}

const useStyles = makeStyles((theme: Theme) =>
    createStyles({
        wrapper: {
            color: grey[600],
        },
        text: {
            fontSize: '1.25rem'
        },
        icon: {
            fontSize: '1.5rem',
            marginRight: theme.spacing(0.5)
        }
    })
);

export const InlineWarning: React.FunctionComponent<InlineWarningProps> = ({text}) => {
    const classes = useStyles();

    return (
        <Box display={'flex'} className={classes.wrapper} alignItems={'center'}>
            <Info className={classes.icon}/>
            <Typography className={classes.text}>{text}</Typography>
        </Box>
    );
};

