module MachineInterfaceJobs
  module BlockInterface
    class AddBlockJob < MachineInterfaceJobs::Base::JobDataJob
      queue_as :default

      # Resolver for /connector/satisloh/jobinfo/1.0/component/blockinfo

      # Block Add is a machine interface, but it is not attached to a specific machine (no SN)
      def perform(add_params)
        job = resolve_job(add_params[:job])

        model = Block.get_by_dmc(add_params[:block][:dmc])

        model.attributes = {
          job: job,
          side: job.side_num,
          rfid_tag: add_params[:block][:rfid_tag]
        }

        model.increase_use_count(1)

        if model.save
          model.broadcast
        end
      end
    end
  end
end
