module MachineTranslator
  class MeiEdger < MachineTranslator
    include DataHelpers

    class TranslationError < StandardError; end

    def machine_state_hash
      {
        :working => :processing,
        :workingidle => :waitingforjobs,
        :on => :on,
        :notready => :notready,
        :ready => :ready,
        :alarm => :error,
        :off => :off
      }
    end

    def job_state_hash
      {
        :started => "started",
        :completed => "finished",
        :aborted => "aborted"
      }
    end

    def machine_state_translation(params)
      translated_state = machine_state_hash[params[:machine_state][:state].to_sym]

      if translated_state.nil?
        Rails::logger.error "Failed Machine State translation for MEI Edger"
        raise TranslationError
      end

      params[:machine_state][:state] = translated_state
      params
    end

    def job_state_translation(params)
      params[:job_state][:state] = job_state_hash[params[:job_state][:state].to_sym]
      params
    end

    def errors_translation(params)
      params
    end

    def process_data_translation(params)
      params
    end
  end
end
