# -*- SkipSchemaAnnotations

module MachineTypes
  module Generators
    class VftOrbit2 < Generator
      include ErrorFilterMachineTypes::VftOrbit2
      include AbortFilterMachineTypes::VftOrbit2
      include MachineTypes::Generators::ConsumableData::VftConsumableData

      class << self
        def display_name
          "VFT-Orbit-2"
        end

        def name
          "vft_orbit_2"
        end

        def image_name
          'vft_orbit_2.png'
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end

        def energy_consumptions
          {
            processing: 2.64,
            waitingforjobs: 1.30,
            error: 1.27,
            ready: 1.19,
            notready: 0.68,
            setup: 1.18,
            on: 1.18,
            maintenance: 1.18,
            halt: 1.27,
            estop: 0.60,
            off: 0,
            total_off: 0
          }
        end
      end
    end
  end
end

