# -*- SkipSchemaAnnotations

module MachineTypes
  module Generators
    module ConsumableData
      module VftConsumableData
        extend ActiveSupport::Concern

        class_methods do
          def consumable_data_params
            {
              keys: [:MT,
                     :MT_COUNTER,
                     :MT_LIMIT,
                     :FT1,
                     :FT1_COUNTER,
                     :FT1_LIMIT,
                     :FT1_TOOL_TRACKLENGTH,
                     :FT2,
                     :FT2_COUNTER,
                     :FT2_LIMIT,
                     :FT2_TOOL_TRACKLENGTH,
                     :CT,
                     :CT_COUNTER,
                     :CT_LIMIT,
                     :ET,
                     :ET_COUNTER,
                     :ET_LIMIT],
              consumables: [
                {
                  resolved_name: lambda { |_| 'MT' },
                  enabled_key: :MT,
                  use_count_key: :MT_COUNTER,
                  max_use_count_key: :MT_LIMIT,
                  data: []
                },
                {
                  resolved_name: lambda { |_| 'FT1' },
                  enabled_key: :FT1,
                  use_count_key: :FT1_COUNTER,
                  max_use_count_key: :FT1_LIMIT,
                  data: [{
                           name: 'ft1_track_length',
                           key: :FT1_TOOL_TRACKLENGTH,
                           touch_on_update: true,
                           compute: nil
                         }]
                },
                {
                  resolved_name: lambda { |_| 'FT2' },
                  enabled_key: :FT2,
                  use_count_key: :FT2_COUNTER,
                  max_use_count_key: :FT2_LIMIT,
                  data: [{
                           name: 'ft2_track_length',
                           key: :FT2_TOOL_TRACKLENGTH,
                           touch_on_update: true,
                           compute: nil
                         }]
                },
                {
                  resolved_name: lambda { |_| 'CT' },
                  enabled_key: :CT,
                  use_count_key: :CT_COUNTER,
                  max_use_count_key: :CT_LIMIT,
                  data: []
                },
                {
                  resolved_name: lambda { |_| 'ET' },
                  enabled_key: :ET,
                  use_count_key: :ET_COUNTER,
                  max_use_count_key: :ET_LIMIT,
                  data: []
                }
              ]
            }
          end
        end
      end
    end
  end
end

