class EnergySustainabilityReport < MachineTemplateReport
  include ReportPeriod
  include ReportTargetValues
  class << self
    def report_type
      "Energy Sustainability Report"
    end
  end

  expose('energy_sustainability_report', report_type, "Overview of the energy usage for an individual machine or machine group.", "EnergySustainabilityReport")

  use_machine_targets(true, true, true)

  def components
    [
      {
        component: ReportComponents::MachineProductivityScore,
        args: {
          addons: [:as_percent]
        }
      },
      {
        component: ReportComponents::MachineProductivityOverview,
        args: {
          addons: [:as_percent],
          aggregate_machines: false
        }
      },
      {
        component: ReportComponents::MachineEnergyUsagePerLens,
        args: {}
      },
      {
        component: ReportComponents::MachineEnergyUsageOverTime,
        args: {}
      },
      {
        component: ReportComponents::PotentialEnergySavings,
        args: {aggregate_machines: false}
      }
    ]
  end
end