class CreateConsumableRecords < ActiveRecord::Migration[6.1]
  def change
    create_table :consumable_records do |t|
      t.string :name, required: true
      t.integer :current_use_count, required: true
      t.integer :max_use_count, required: true
      t.datetime :first_use_date, required: true
      t.datetime :last_use_date, required: true
      t.boolean :retired, required: true
    end

    create_table :consumable_record_data do |t|
      t.string :name
      t.string :value

      t.belongs_to :consumable_record
    end

    add_reference :consumable_records, :machine, foreign_key: true, required: true
  end
end
